com.hazelcast.jet.pipeline

## Class GenericPredicates

- java.lang.Object
- - com.hazelcast.jet.pipeline.GenericPredicates

-     public final class GenericPredicates
      extends Object

  Generic wrappers for methods in `Predicates`. These classes match 1:1.
  Since:
    3.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> Predicate<K,V>` | `alwaysFalse()` See `Predicates.alwaysFalse()`.
    `static <K,V> Predicate<K,V>` | `alwaysTrue()` See `Predicates.alwaysTrue()`.
    `static <K,V> Predicate<K,V>` | `and(Predicate<K,V>... predicates)` See `Predicates.and(Predicate[])`.
    `static <K,V> Predicate<K,V>` | `between(String attribute, Comparable from, Comparable to)` See `Predicates.between(String, Comparable, Comparable)`.
    `static <K,V> Predicate<K,V>` | `equal(String attribute, Comparable value)` See `Predicates.equal(String, Comparable)`.
    `static <K,V> Predicate<K,V>` | `greaterEqual(String attribute, Comparable value)` See `Predicates.greaterEqual(String, Comparable)`.
    `static <K,V> Predicate<K,V>` | `greaterThan(String attribute, Comparable value)` See `Predicates.greaterThan(String, Comparable)`.
    `static <K,V> Predicate<K,V>` | `ilike(String attribute, String pattern)` See `Predicates.ilike(String, String)`.
    `static <K,V> Predicate<K,V>` | `in(String attribute, Comparable... values)` See `Predicates.in(String, Comparable[])`.
    `static <K,V> Predicate<K,V>` | `instanceOf(Class<? extends V> klass)` See `Predicates.instanceOf(Class)`.
    `static <K,V> Predicate<K,V>` | `lessEqual(String attribute, Comparable value)` See `Predicates.lessEqual(String, Comparable)`.
    `static <K,V> Predicate<K,V>` | `lessThan(String attribute, Comparable value)` See `Predicates.lessThan(String, Comparable)`.
    `static <K,V> Predicate<K,V>` | `like(String attribute, String pattern)` See `Predicates.like(String, String)`.
    `static <K,V> Predicate<K,V>` | `not(Predicate<K,V> predicate)` See `Predicates.not(Predicate)`.
    `static <K,V> Predicate<K,V>` | `notEqual(String attribute, Comparable value)` See `Predicates.notEqual(String, Comparable)`.
    `static <K,V> Predicate<K,V>` | `or(Predicate<K,V>... predicates)` See `Predicates.or(Predicate[])`.
    `static <K,V> Predicate<K,V>` | `regex(String attribute, String pattern)` See `Predicates.regex(String, String)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### alwaysTrue

          public static <K,V> Predicate<K,V> alwaysTrue()

      See `Predicates.alwaysTrue()`.

    - #### alwaysFalse

          public static <K,V> Predicate<K,V> alwaysFalse()

      See `Predicates.alwaysFalse()`.

    - #### instanceOf

          public static <K,V> Predicate<K,V> instanceOf(Class<? extends V> klass)

      See `Predicates.instanceOf(Class)`.

    - #### and

          public static <K,V> Predicate<K,V> and(Predicate<K,V>... predicates)

      See `Predicates.and(Predicate[])`.

    - #### not

          public static <K,V> Predicate<K,V> not(Predicate<K,V> predicate)

      See `Predicates.not(Predicate)`.

    - #### or

          public static <K,V> Predicate<K,V> or(Predicate<K,V>... predicates)

      See `Predicates.or(Predicate[])`.

    - #### notEqual

          public static <K,V> Predicate<K,V> notEqual(String attribute,
                                                      Comparable value)

      See `Predicates.notEqual(String, Comparable)`.

    - #### equal

          public static <K,V> Predicate<K,V> equal(String attribute,
                                                   Comparable value)

      See `Predicates.equal(String, Comparable)`.

    - #### like

          public static <K,V> Predicate<K,V> like(String attribute,
                                                  String pattern)

      See `Predicates.like(String, String)`.

    - #### ilike

          public static <K,V> Predicate<K,V> ilike(String attribute,
                                                   String pattern)

      See `Predicates.ilike(String, String)`.

    - #### regex

          public static <K,V> Predicate<K,V> regex(String attribute,
                                                   String pattern)

      See `Predicates.regex(String, String)`.

    - #### greaterThan

          public static <K,V> Predicate<K,V> greaterThan(String attribute,
                                                         Comparable value)

      See `Predicates.greaterThan(String, Comparable)`.

    - #### greaterEqual

          public static <K,V> Predicate<K,V> greaterEqual(String attribute,
                                                          Comparable value)

      See `Predicates.greaterEqual(String, Comparable)`.

    - #### lessThan

          public static <K,V> Predicate<K,V> lessThan(String attribute,
                                                      Comparable value)

      See `Predicates.lessThan(String, Comparable)`.

    - #### lessEqual

          public static <K,V> Predicate<K,V> lessEqual(String attribute,
                                                       Comparable value)

      See `Predicates.lessEqual(String, Comparable)`.

    - #### between

          public static <K,V> Predicate<K,V> between(String attribute,
                                                     Comparable from,
                                                     Comparable to)

      See `Predicates.between(String, Comparable, Comparable)`.

    - #### in

          public static <K,V> Predicate<K,V> in(String attribute,
                                                Comparable... values)

      See `Predicates.in(String, Comparable[])`.

Copyright © 2019. All rights reserved.